Sources
Source
Retrieve detailed metadata for a single publication venue by its HX_S identifier.
GET
/
sources
/
{id}
curl -X GET "https://api.hexagraph.in/sources/HX_S46033839"
fetch("https://api.hexagraph.in/sources/HX_S46033839")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/sources/HX_S46033839")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/sources/HX_S46033839")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_S140251998",
"issn_l": "0021-9258",
"issn": [
"0021-9258",
"1067-8816",
"1083-351X"
],
"name": "Journal of Biological Chemistry",
"host_organization_name": "Elsevier BV",
"outputs_count": 214160,
"oa_outputs_count": 212740,
"cited_by_count": 17373999,
"summary_stats": {
"2yr_mean_citedness": 1.7154113247863247,
"h_index": 783,
"i10_index": 185479
},
"is_oa": true,
"is_in_doaj": true,
"is_high_oa_rate": false,
"is_high_oa_rate_since_year": null,
"is_in_scielo": false,
"is_ojs": false,
"is_preprint_repository": false,
"is_core": true,
"oa_flip_year": 2020,
"first_publication_year": 1905,
"last_publication_year": 2026,
"homepage_url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry",
"apc_prices": [
{
"price": 2800,
"currency": "USD"
}
],
"apc_usd": 2800,
"apc_usd_by_year": [
{
"year": 2023,
"price": 2800
}
],
"country": {
"code": "US",
"name": null
},
"societies": [
{
"url": "https://www.asbmb.org/",
"organization": "American Society for Biochemistry and Molecular Biology"
}
],
"alternate_titles": [
"JBC",
"JBC online"
],
"type": "journal",
"counts_by_year": [
{
"year": 2026,
"outputs_count": 2178,
"oa_outputs_count": 2178,
"cited_by_count": 209
}
],
"updated_date": "2026-08-05T10:02:25",
"created_date": "2016-06-24T00:00:00",
"ids": {
"mag": "140251998",
"wikidata": "https://www.wikidata.org/entity/Q867727"
},
"topics": [
{
"id": "HX_T10521",
"name": "RNA and protein synthesis mechanisms",
"count": 11741,
"share": 0.0246983
}
],
"metrics": {
"scopus": {
"active": true,
"coverage": "1945-2026; 1941-1942; 1933-1938; 1931; 1906",
"doc_count": 4713,
"percent": 72,
"rank": "125/448",
"citations": 32548,
"snip": 1.051,
"sjr": 1.643,
"citescore": 6.9,
"percent_cited": 82,
"quartile": "Q2",
"subject_category": "Biochemistry; Cell Biology; Molecular Biology",
"type": "Journal"
},
"web_of_science": {
"issn": "00219258",
"eissn": "1083351X",
"issues_per_year": 1,
"start_year": null,
"jif": 4.1,
"five_year_jif": 4.5,
"best_ranking": 60.4,
"active": true,
"quartile": "Q2",
"index": [
{
"code": "SCIE",
"name": "Science Citation Index Expanded"
}
],
"subject_category": "Biochemistry & Molecular Biology; Biochemistry & Biophysics; Biology & Biochemistry",
"open_access_status": "Fully Open Access― It may take a publication fee. For more info, check it onDOAJ.ORG"
},
"abdc": {
"rating": "A+"
}
},
"doaj": {
"issn": "0021-9258",
"languages": [
"EN"
],
"licenses": [
{
"type": "CC BY",
"url": "https://creativecommons.org/licenses/by/4.0/",
"icon_urls": [
"https://mirrors.creativecommons.org/presskit/icons/cc.svg",
"https://mirrors.creativecommons.org/presskit/icons/by.svg"
]
}
],
"subjects": [
"Biochemistry"
],
"open_access_since": "2021",
"ref": [
{
"name": "Aims & Scope",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/about/aims-and-scope"
},
{
"name": "Author Instructions",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/publish/guide-for-authors"
},
{
"name": "Editorial Board",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/about/editorial-board"
},
{
"name": "Peer Review",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/publish/guide-for-authors"
}
],
"publication_weeks": "22",
"apc": [
{
"currency": "USD",
"price": "3430"
}
]
}
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Source with ID HX_S9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
Retrieves a single publication venue (academic journal, preprint repository, conference proceeding, or book series) by its
HX_S identifier.
Path Parameters
string
required
Unique source identifier (e.g.
HX_S140251998). Must be prefixed with HX_S.Response Fields
string
required
Unique source identifier prefixed with
HX_S (e.g. HX_S46033839).string
Linking International Standard Serial Number (ISSN-L).
array
Array of registered ISSN strings.
string
required
Full display name of the venue.
string
Host publisher/organization name.
integer
Total number of indexed outputs published in this venue.
integer
Total Open Access outputs count.
integer
Total citation count received by outputs in this venue.
object
boolean
true if the venue is open access.boolean
true if indexed in DOAJ.integer
Year indexed in DOAJ.
boolean
true if venue has high open access rate.integer
Year high open access rate status started.
boolean
true if indexed in SciELO.boolean
true if using Open Journal Systems (OJS).boolean
true if source is a preprint repository.boolean
true if designated as a core journal.integer
Year source converted/flipped to Open Access.
integer
First indexed publication year.
integer
Most recent publication year.
string
Official homepage URL.
array
integer
APC cost in USD.
array
object
array
array
Alternative venue titles array.
string
Venue classification (
journal, repository, etc.).array
string
ISO last updated timestamp.
string
ISO creation date timestamp.
object
array
object
Journal indexing metrics.
Show metrics attributes
Show metrics attributes
object
Scopus journal indexing details.
Show scopus attributes
Show scopus attributes
boolean
Active indexing status.
string
Years of database coverage.
integer
Total document count.
integer
Percent score.
string
Journal rank status.
integer
Total citation count.
number
Source Normalized Impact per Paper.
number
SCImago Journal Rank.
number
CiteScore value.
integer
Percentage of cited documents.
string
Quartile classification.
string
Subject categories.
string
Venue type classification.
object
Web of Science indexing details.
Show web_of_science attributes
Show web_of_science attributes
string
Standard ISSN.
string
Electronic ISSN.
integer
Issues published per year.
integer
Start year of coverage.
number
Journal Impact Factor.
number
5-year Journal Impact Factor.
number
Best percentile ranking.
boolean
Active indexing status.
string
Quartile classification.
array
string
Subject categories.
string
Open Access status details.
object
Directory of Open Access Journals (DOAJ) indexing details.
Show doaj attributes
Show doaj attributes
string
DOAJ registered ISSN.
array
Accepted publication languages.
array
array
Subject classifications.
string
Open access starting year.
array
string
Average publication time in weeks.
curl -X GET "https://api.hexagraph.in/sources/HX_S46033839"
fetch("https://api.hexagraph.in/sources/HX_S46033839")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/sources/HX_S46033839")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/sources/HX_S46033839")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_S140251998",
"issn_l": "0021-9258",
"issn": [
"0021-9258",
"1067-8816",
"1083-351X"
],
"name": "Journal of Biological Chemistry",
"host_organization_name": "Elsevier BV",
"outputs_count": 214160,
"oa_outputs_count": 212740,
"cited_by_count": 17373999,
"summary_stats": {
"2yr_mean_citedness": 1.7154113247863247,
"h_index": 783,
"i10_index": 185479
},
"is_oa": true,
"is_in_doaj": true,
"is_high_oa_rate": false,
"is_high_oa_rate_since_year": null,
"is_in_scielo": false,
"is_ojs": false,
"is_preprint_repository": false,
"is_core": true,
"oa_flip_year": 2020,
"first_publication_year": 1905,
"last_publication_year": 2026,
"homepage_url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry",
"apc_prices": [
{
"price": 2800,
"currency": "USD"
}
],
"apc_usd": 2800,
"apc_usd_by_year": [
{
"year": 2023,
"price": 2800
}
],
"country": {
"code": "US",
"name": null
},
"societies": [
{
"url": "https://www.asbmb.org/",
"organization": "American Society for Biochemistry and Molecular Biology"
}
],
"alternate_titles": [
"JBC",
"JBC online"
],
"type": "journal",
"counts_by_year": [
{
"year": 2026,
"outputs_count": 2178,
"oa_outputs_count": 2178,
"cited_by_count": 209
}
],
"updated_date": "2026-08-05T10:02:25",
"created_date": "2016-06-24T00:00:00",
"ids": {
"mag": "140251998",
"wikidata": "https://www.wikidata.org/entity/Q867727"
},
"topics": [
{
"id": "HX_T10521",
"name": "RNA and protein synthesis mechanisms",
"count": 11741,
"share": 0.0246983
}
],
"metrics": {
"scopus": {
"active": true,
"coverage": "1945-2026; 1941-1942; 1933-1938; 1931; 1906",
"doc_count": 4713,
"percent": 72,
"rank": "125/448",
"citations": 32548,
"snip": 1.051,
"sjr": 1.643,
"citescore": 6.9,
"percent_cited": 82,
"quartile": "Q2",
"subject_category": "Biochemistry; Cell Biology; Molecular Biology",
"type": "Journal"
},
"web_of_science": {
"issn": "00219258",
"eissn": "1083351X",
"issues_per_year": 1,
"start_year": null,
"jif": 4.1,
"five_year_jif": 4.5,
"best_ranking": 60.4,
"active": true,
"quartile": "Q2",
"index": [
{
"code": "SCIE",
"name": "Science Citation Index Expanded"
}
],
"subject_category": "Biochemistry & Molecular Biology; Biochemistry & Biophysics; Biology & Biochemistry",
"open_access_status": "Fully Open Access― It may take a publication fee. For more info, check it onDOAJ.ORG"
},
"abdc": {
"rating": "A+"
}
},
"doaj": {
"issn": "0021-9258",
"languages": [
"EN"
],
"licenses": [
{
"type": "CC BY",
"url": "https://creativecommons.org/licenses/by/4.0/",
"icon_urls": [
"https://mirrors.creativecommons.org/presskit/icons/cc.svg",
"https://mirrors.creativecommons.org/presskit/icons/by.svg"
]
}
],
"subjects": [
"Biochemistry"
],
"open_access_since": "2021",
"ref": [
{
"name": "Aims & Scope",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/about/aims-and-scope"
},
{
"name": "Author Instructions",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/publish/guide-for-authors"
},
{
"name": "Editorial Board",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/about/editorial-board"
},
{
"name": "Peer Review",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/publish/guide-for-authors"
}
],
"publication_weeks": "22",
"apc": [
{
"currency": "USD",
"price": "3430"
}
]
}
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Source with ID HX_S9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
⌘I
curl -X GET "https://api.hexagraph.in/sources/HX_S46033839"
fetch("https://api.hexagraph.in/sources/HX_S46033839")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/sources/HX_S46033839")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/sources/HX_S46033839")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_S140251998",
"issn_l": "0021-9258",
"issn": [
"0021-9258",
"1067-8816",
"1083-351X"
],
"name": "Journal of Biological Chemistry",
"host_organization_name": "Elsevier BV",
"outputs_count": 214160,
"oa_outputs_count": 212740,
"cited_by_count": 17373999,
"summary_stats": {
"2yr_mean_citedness": 1.7154113247863247,
"h_index": 783,
"i10_index": 185479
},
"is_oa": true,
"is_in_doaj": true,
"is_high_oa_rate": false,
"is_high_oa_rate_since_year": null,
"is_in_scielo": false,
"is_ojs": false,
"is_preprint_repository": false,
"is_core": true,
"oa_flip_year": 2020,
"first_publication_year": 1905,
"last_publication_year": 2026,
"homepage_url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry",
"apc_prices": [
{
"price": 2800,
"currency": "USD"
}
],
"apc_usd": 2800,
"apc_usd_by_year": [
{
"year": 2023,
"price": 2800
}
],
"country": {
"code": "US",
"name": null
},
"societies": [
{
"url": "https://www.asbmb.org/",
"organization": "American Society for Biochemistry and Molecular Biology"
}
],
"alternate_titles": [
"JBC",
"JBC online"
],
"type": "journal",
"counts_by_year": [
{
"year": 2026,
"outputs_count": 2178,
"oa_outputs_count": 2178,
"cited_by_count": 209
}
],
"updated_date": "2026-08-05T10:02:25",
"created_date": "2016-06-24T00:00:00",
"ids": {
"mag": "140251998",
"wikidata": "https://www.wikidata.org/entity/Q867727"
},
"topics": [
{
"id": "HX_T10521",
"name": "RNA and protein synthesis mechanisms",
"count": 11741,
"share": 0.0246983
}
],
"metrics": {
"scopus": {
"active": true,
"coverage": "1945-2026; 1941-1942; 1933-1938; 1931; 1906",
"doc_count": 4713,
"percent": 72,
"rank": "125/448",
"citations": 32548,
"snip": 1.051,
"sjr": 1.643,
"citescore": 6.9,
"percent_cited": 82,
"quartile": "Q2",
"subject_category": "Biochemistry; Cell Biology; Molecular Biology",
"type": "Journal"
},
"web_of_science": {
"issn": "00219258",
"eissn": "1083351X",
"issues_per_year": 1,
"start_year": null,
"jif": 4.1,
"five_year_jif": 4.5,
"best_ranking": 60.4,
"active": true,
"quartile": "Q2",
"index": [
{
"code": "SCIE",
"name": "Science Citation Index Expanded"
}
],
"subject_category": "Biochemistry & Molecular Biology; Biochemistry & Biophysics; Biology & Biochemistry",
"open_access_status": "Fully Open Access― It may take a publication fee. For more info, check it onDOAJ.ORG"
},
"abdc": {
"rating": "A+"
}
},
"doaj": {
"issn": "0021-9258",
"languages": [
"EN"
],
"licenses": [
{
"type": "CC BY",
"url": "https://creativecommons.org/licenses/by/4.0/",
"icon_urls": [
"https://mirrors.creativecommons.org/presskit/icons/cc.svg",
"https://mirrors.creativecommons.org/presskit/icons/by.svg"
]
}
],
"subjects": [
"Biochemistry"
],
"open_access_since": "2021",
"ref": [
{
"name": "Aims & Scope",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/about/aims-and-scope"
},
{
"name": "Author Instructions",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/publish/guide-for-authors"
},
{
"name": "Editorial Board",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/about/editorial-board"
},
{
"name": "Peer Review",
"url": "https://www.sciencedirect.com/journal/journal-of-biological-chemistry/publish/guide-for-authors"
}
],
"publication_weeks": "22",
"apc": [
{
"currency": "USD",
"price": "3430"
}
]
}
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Source with ID HX_S9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}